Summary: Examines C/C++ source code for security flaws
Name: flawfinder
Version: 2.0.0
Release: 1
License: GPLv2
Group: Development/Tools
Source0: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
URL: http://www.dwheeler.com/flawfinder/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

Requires: python >= 2.7.13-1

%description
Flawfinder scans through C/C++ source code,
identifying lines ("hits") with potential security flaws.
By default it reports hits sorted by severity, with the riskiest lines first.


%prep
%setup  -q


%build
make 


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
cp  %{name} ${RPM_BUILD_ROOT}%{_bindir}/%{name}
chmod 0755 ${RPM_BUILD_ROOT}%{_bindir}/%{name}

mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man1
cp %{name}.1 ${RPM_BUILD_ROOT}%{_mandir}/man1/%{name}.1
chmod 0644 ${RPM_BUILD_ROOT}%{_mandir}/man1/%{name}.1

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc README ChangeLog COPYING %{name}.pdf
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1
/usr/bin/%{name}


%changelog
* Fri Sep 22 2017 Michael Perzl <michael@perzl.org> - 2.0.0-1
- updated to version 2.0.0

* Fri Sep 22 2017 Michael Perzl <michael@perzl.org> - 1.31-1
- updated to version 1.31

* Fri Sep 22 2017 Michael Perzl <michael@perzl.org> - 1.29-1
- updated to version 1.29

* Fri Sep 22 2017 Michael Perzl <michael@perzl.org> - 1.28-1
- updated to version 1.28

* Fri Jul 13 2012 Michael Perzl <michael@perzl.org> - 1.27-1
- first version for AIX V5.1 and higher
